跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 25.6.2, which is no longer the latest release. See the latest release.

Create a workflow dispatch event

POST
/repos/{owner}/{repo}/actions/workflows/{workflow_id}/dispatches
curl --request POST \
--url https://gitea.example.com/api/v1/repos/example/example/actions/workflows/example/dispatches \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "inputs": { "additionalProperty": "example" }, "ref": "refs/heads/main" }'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

workflow_id
required
string

Id of the workflow

CreateActionWorkflowDispatch represents the payload for triggering a workflow dispatch event

object
inputs
object
key
additional properties
string
ref
required
string
Example
refs/heads/main

No Content

Media typeapplication/json

APIError is error format response

Media typeapplication/json
message
string
url
string

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string